<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Firearms/RifleSingleShot_Base.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/dc4/_rifle_single_shot___base_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">RifleSingleShot_Base.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/dc4/_rifle_single_shot___base_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d8/dc4/_rifle_single_shot___base_8c.html#a97a3e965ba13b7a4bc0e31e55a7a9eec">    1</a></span><span class="keyword">enum</span> <a class="code hl_enumeration" href="../../d8/dc4/_rifle_single_shot___base_8c.html#a88a4ab5aaf0d3b627a1bfa244dfc551d">RSSAnimState</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d8/dc4/_rifle_single_shot___base_8c.html#a88a4ab5aaf0d3b627a1bfa244dfc551da88ec7d5086d2469ba843c7fcceade8a6">    3</a></span>    <a class="code hl_enumvalue" href="../../d8/dc4/_rifle_single_shot___base_8c.html#a88a4ab5aaf0d3b627a1bfa244dfc551da88ec7d5086d2469ba843c7fcceade8a6">DEFAULT</a>             = 0,    </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>};</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d8/dc4/_rifle_single_shot___base_8c.html#ad5ddcde584a03138cf054e4db77e801d">    6</a></span><span class="keyword">enum</span> <a class="code hl_enumeration" href="../../d8/dc4/_rifle_single_shot___base_8c.html#ad5ddcde584a03138cf054e4db77e801d">RSSStableStateID</a></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>{</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    <a class="code hl_variable" href="../../d8/dc4/_rifle_single_shot___base_8c.html#a6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>             =  0,</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    <a class="code hl_variable" href="../../d8/dc4/_rifle_single_shot___base_8c.html#a891fbec6fb0d74aea9e064d13b59c9e0">Empty</a>               =  1,</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    <a class="code hl_variable" href="../../d8/dc4/_rifle_single_shot___base_8c.html#a992cc98ec5532dbef907470ed75a064f">Fireout</a>             =  2,</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    <a class="code hl_variable" href="../../d8/dc4/_rifle_single_shot___base_8c.html#afae9218a8bc790c8851b8a6e6cada69b">Loaded</a>              =  3,</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    <a class="code hl_variable" href="../../d8/dc4/_rifle_single_shot___base_8c.html#afaf79e728091911ce906c93dc4ab3535">Jammed</a>              =  4,</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>}</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="keyword">class </span>RSSEmpty <span class="keyword">extends</span> <a class="code hl_class" href="../../dc/dcc/class_weapon_stable_state.html">WeaponStableState</a></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>{</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_variable" href="../../d2/db3/_single_shot_pistol___base_8c.html#a3ed70c6f00023473563b38dd40750479">OnEntry</a> (<a class="code hl_class" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e) { <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d9/df7/class_log_manager.html">LogManager</a>.<a class="code hl_function" href="../../d9/df7/class_log_manager.html#a1936dba0ee4da1a581859d6603178326">IsWeaponLogEnable</a>()) { <a class="code hl_function" href="../../dc/d1d/4___world_2_entities_2_firearms_2_debug_8c.html#a40adfc1e22a9b751658055847f9c4b83">wpnPrint</a>(<span class="stringliteral">&quot;[wpnfsm] &quot;</span> + <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a>.GetDebugName(<a class="code hl_variable" href="../../de/dc3/_guards_8c.html#ad0af4429be0c56056dbf78f31157a010">m_weapon</a>) + <span class="stringliteral">&quot; { Empty E&quot;</span>); } super.OnEntry(e); }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d8/dc4/_rifle_single_shot___base_8c.html#aa40f8697dfa587f8adabc8640bc98ad8">   18</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a2b24124714481d5944daedea764ef07a">OnExit</a> (<a class="code hl_class" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e) { super.OnExit(e); <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d9/df7/class_log_manager.html">LogManager</a>.<a class="code hl_function" href="../../d9/df7/class_log_manager.html#a1936dba0ee4da1a581859d6603178326">IsWeaponLogEnable</a>()) { <a class="code hl_function" href="../../dc/d1d/4___world_2_entities_2_firearms_2_debug_8c.html#a40adfc1e22a9b751658055847f9c4b83">wpnPrint</a>(<span class="stringliteral">&quot;[wpnfsm] &quot;</span> + <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a>.GetDebugName(<a class="code hl_variable" href="../../de/dc3/_guards_8c.html#ad0af4429be0c56056dbf78f31157a010">m_weapon</a>) + <span class="stringliteral">&quot; } Empty E&quot;</span>); } }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d8/dc4/_rifle_single_shot___base_8c.html#a891fbec6fb0d74aea9e064d13b59c9e0">   19</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a71d886cf9e101812137133a25a5efc5d">GetCurrentStateID</a> () { <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d8/dc4/_rifle_single_shot___base_8c.html#ad5ddcde584a03138cf054e4db77e801d">RSSStableStateID</a>.Empty; }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d8/dc4/_rifle_single_shot___base_8c.html#a992cc98ec5532dbef907470ed75a064f">   20</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a4b66543cd3ec146ccb5bdf7da9b82be2">HasBullet</a> () { <span class="keywordflow">return</span> <span class="keyword">false</span>; }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d8/dc4/_rifle_single_shot___base_8c.html#af2a2200b1debc914a8e34252c33e8dfe">   21</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#ae6fd560194ec4459eb3731047b22d510">HasMagazine</a> () { <span class="keywordflow">return</span> <span class="keyword">false</span>; }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d8/dc4/_rifle_single_shot___base_8c.html#aac14d196e64cad535c5aa50f0c954df3">   22</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a17fafa12bb56d472c515b8dc2a1669a8">IsJammed</a> () { <span class="keywordflow">return</span> <span class="keyword">false</span>; }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d8/dc4/_rifle_single_shot___base_8c.html#a5505b40857f04731ef377a6be07e9d8c">   23</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#ac25b31cf36d1dadc8120054f1eb43e5e">IsRepairEnabled</a> () { <span class="keywordflow">return</span> <span class="keyword">true</span>; }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d8/dc4/_rifle_single_shot___base_8c.html#aecb416b07a0879e66f05969cc59bd671">   24</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a3ec895a8ef12f28fbb3e1acb39c82369">InitMuzzleArray</a> () { <a class="code hl_variable" href="../../d8/d8f/_weapon_stable_state_8c.html#a99c0c3c305a37383f835abc512f2be3f">m_muzzleHasBullet</a> = {<a class="code hl_enumeration" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38">MuzzleState</a>.E}; }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>};</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="keyword">class </span>RSSFireout <span class="keyword">extends</span> <a class="code hl_class" href="../../dc/dcc/class_weapon_stable_state.html">WeaponStableState</a></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>{</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../dc/dcc/class_weapon_stable_state.html#a4317e82e93379b1e0cdcb1112796367d">   28</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a4317e82e93379b1e0cdcb1112796367d">OnEntry</a> (<a class="code hl_class" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e) { <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d9/df7/class_log_manager.html">LogManager</a>.<a class="code hl_function" href="../../d9/df7/class_log_manager.html#a1936dba0ee4da1a581859d6603178326">IsWeaponLogEnable</a>()) { <a class="code hl_function" href="../../dc/d1d/4___world_2_entities_2_firearms_2_debug_8c.html#a40adfc1e22a9b751658055847f9c4b83">wpnPrint</a>(<span class="stringliteral">&quot;[wpnfsm] &quot;</span> + <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a>.GetDebugName(<a class="code hl_variable" href="../../de/dc3/_guards_8c.html#ad0af4429be0c56056dbf78f31157a010">m_weapon</a>) + <span class="stringliteral">&quot; { Fireout F&quot;</span>); } super.OnEntry(e); }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../dc/dcc/class_weapon_stable_state.html#a2b24124714481d5944daedea764ef07a">   29</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a2b24124714481d5944daedea764ef07a">OnExit</a> (<a class="code hl_class" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e) { super.OnExit(e); <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d9/df7/class_log_manager.html">LogManager</a>.<a class="code hl_function" href="../../d9/df7/class_log_manager.html#a1936dba0ee4da1a581859d6603178326">IsWeaponLogEnable</a>()) { <a class="code hl_function" href="../../dc/d1d/4___world_2_entities_2_firearms_2_debug_8c.html#a40adfc1e22a9b751658055847f9c4b83">wpnPrint</a>(<span class="stringliteral">&quot;[wpnfsm] &quot;</span> + <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a>.GetDebugName(<a class="code hl_variable" href="../../de/dc3/_guards_8c.html#ad0af4429be0c56056dbf78f31157a010">m_weapon</a>) + <span class="stringliteral">&quot; } Fireout F&quot;</span>); } }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../dc/dcc/class_weapon_stable_state.html#a71d886cf9e101812137133a25a5efc5d">   30</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a71d886cf9e101812137133a25a5efc5d">GetCurrentStateID</a> () { <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d8/dc4/_rifle_single_shot___base_8c.html#ad5ddcde584a03138cf054e4db77e801d">RSSStableStateID</a>.Fireout; }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../dc/dcc/class_weapon_stable_state.html#a4b66543cd3ec146ccb5bdf7da9b82be2">   31</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a4b66543cd3ec146ccb5bdf7da9b82be2">HasBullet</a> () { <span class="keywordflow">return</span> <span class="keyword">true</span>; }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../dc/dcc/class_weapon_stable_state.html#ae6fd560194ec4459eb3731047b22d510">   32</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#ae6fd560194ec4459eb3731047b22d510">HasMagazine</a> () { <span class="keywordflow">return</span> <span class="keyword">false</span>; }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../dc/dcc/class_weapon_stable_state.html#a17fafa12bb56d472c515b8dc2a1669a8">   33</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a17fafa12bb56d472c515b8dc2a1669a8">IsJammed</a> () { <span class="keywordflow">return</span> <span class="keyword">false</span>; }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../dc/dcc/class_weapon_stable_state.html#ac25b31cf36d1dadc8120054f1eb43e5e">   34</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#ac25b31cf36d1dadc8120054f1eb43e5e">IsRepairEnabled</a> () { <span class="keywordflow">return</span> <span class="keyword">true</span>; }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../dc/dcc/class_weapon_stable_state.html#a3ec895a8ef12f28fbb3e1acb39c82369">   35</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a3ec895a8ef12f28fbb3e1acb39c82369">InitMuzzleArray</a> () { <a class="code hl_variable" href="../../d8/d8f/_weapon_stable_state_8c.html#a99c0c3c305a37383f835abc512f2be3f">m_muzzleHasBullet</a> = {<a class="code hl_enumeration" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38">MuzzleState</a>.F}; }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d8/dc4/_rifle_single_shot___base_8c.html#a064c39f2c9d370ba4d2c513f99bf15d1">   36</a></span>};</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span><span class="keyword">class </span>RSSLoaded <span class="keyword">extends</span> <a class="code hl_class" href="../../dc/dcc/class_weapon_stable_state.html">WeaponStableState</a></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>{</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../dc/dcc/class_weapon_stable_state.html#a4317e82e93379b1e0cdcb1112796367d">   39</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a4317e82e93379b1e0cdcb1112796367d">OnEntry</a> (<a class="code hl_class" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e) { <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d9/df7/class_log_manager.html">LogManager</a>.<a class="code hl_function" href="../../d9/df7/class_log_manager.html#a1936dba0ee4da1a581859d6603178326">IsWeaponLogEnable</a>()) { <a class="code hl_function" href="../../dc/d1d/4___world_2_entities_2_firearms_2_debug_8c.html#a40adfc1e22a9b751658055847f9c4b83">wpnPrint</a>(<span class="stringliteral">&quot;[wpnfsm] &quot;</span> + <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a>.GetDebugName(<a class="code hl_variable" href="../../de/dc3/_guards_8c.html#ad0af4429be0c56056dbf78f31157a010">m_weapon</a>) + <span class="stringliteral">&quot; { Loaded C&quot;</span>); } super.OnEntry(e); }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../dc/dcc/class_weapon_stable_state.html#a2b24124714481d5944daedea764ef07a">   40</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a2b24124714481d5944daedea764ef07a">OnExit</a> (<a class="code hl_class" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e) { super.OnExit(e); <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d9/df7/class_log_manager.html">LogManager</a>.<a class="code hl_function" href="../../d9/df7/class_log_manager.html#a1936dba0ee4da1a581859d6603178326">IsWeaponLogEnable</a>()) { <a class="code hl_function" href="../../dc/d1d/4___world_2_entities_2_firearms_2_debug_8c.html#a40adfc1e22a9b751658055847f9c4b83">wpnPrint</a>(<span class="stringliteral">&quot;[wpnfsm] &quot;</span> + <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a>.GetDebugName(<a class="code hl_variable" href="../../de/dc3/_guards_8c.html#ad0af4429be0c56056dbf78f31157a010">m_weapon</a>) + <span class="stringliteral">&quot; } Loaded C&quot;</span>); } }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../dc/dcc/class_weapon_stable_state.html#a71d886cf9e101812137133a25a5efc5d">   41</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a71d886cf9e101812137133a25a5efc5d">GetCurrentStateID</a> () { <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d8/dc4/_rifle_single_shot___base_8c.html#ad5ddcde584a03138cf054e4db77e801d">RSSStableStateID</a>.Loaded; }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../dc/dcc/class_weapon_stable_state.html#a4b66543cd3ec146ccb5bdf7da9b82be2">   42</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a4b66543cd3ec146ccb5bdf7da9b82be2">HasBullet</a> () { <span class="keywordflow">return</span> <span class="keyword">true</span>; }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../dc/dcc/class_weapon_stable_state.html#ae6fd560194ec4459eb3731047b22d510">   43</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#ae6fd560194ec4459eb3731047b22d510">HasMagazine</a> () { <span class="keywordflow">return</span> <span class="keyword">false</span>; }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../dc/dcc/class_weapon_stable_state.html#a17fafa12bb56d472c515b8dc2a1669a8">   44</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a17fafa12bb56d472c515b8dc2a1669a8">IsJammed</a> () { <span class="keywordflow">return</span> <span class="keyword">false</span>; }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../dc/dcc/class_weapon_stable_state.html#ac25b31cf36d1dadc8120054f1eb43e5e">   45</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#ac25b31cf36d1dadc8120054f1eb43e5e">IsRepairEnabled</a> () { <span class="keywordflow">return</span> <span class="keyword">true</span>; }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../dc/dcc/class_weapon_stable_state.html#a3ec895a8ef12f28fbb3e1acb39c82369">   46</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a3ec895a8ef12f28fbb3e1acb39c82369">InitMuzzleArray</a> () { <a class="code hl_variable" href="../../d8/d8f/_weapon_stable_state_8c.html#a99c0c3c305a37383f835abc512f2be3f">m_muzzleHasBullet</a> = {<a class="code hl_enumeration" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38">MuzzleState</a>.L}; }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>};</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span><span class="keyword">class </span>RSSJammed <span class="keyword">extends</span> <a class="code hl_class" href="../../db/d5e/class_weapon_state_jammed.html">WeaponStateJammed</a></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>{</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../db/d5e/class_weapon_state_jammed.html#a9a3f5cdc75b038a814c68ad6583a2131">   50</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d5e/class_weapon_state_jammed.html#a9a3f5cdc75b038a814c68ad6583a2131">OnEntry</a> (<a class="code hl_class" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e) { <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d9/df7/class_log_manager.html">LogManager</a>.<a class="code hl_function" href="../../d9/df7/class_log_manager.html#a1936dba0ee4da1a581859d6603178326">IsWeaponLogEnable</a>()) { <a class="code hl_function" href="../../dc/d1d/4___world_2_entities_2_firearms_2_debug_8c.html#a40adfc1e22a9b751658055847f9c4b83">wpnPrint</a>(<span class="stringliteral">&quot;[wpnfsm] &quot;</span> + <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a>.GetDebugName(<a class="code hl_variable" href="../../de/dc3/_guards_8c.html#ad0af4429be0c56056dbf78f31157a010">m_weapon</a>) + <span class="stringliteral">&quot; { Jammed J&quot;</span>); } super.OnEntry(e); }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../db/d5e/class_weapon_state_jammed.html#afb77a172473afa2a36732d0b2e8ebb7d">   51</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d5e/class_weapon_state_jammed.html#afb77a172473afa2a36732d0b2e8ebb7d">OnExit</a> (<a class="code hl_class" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e) { super.OnExit(e); <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d9/df7/class_log_manager.html">LogManager</a>.<a class="code hl_function" href="../../d9/df7/class_log_manager.html#a1936dba0ee4da1a581859d6603178326">IsWeaponLogEnable</a>()) { <a class="code hl_function" href="../../dc/d1d/4___world_2_entities_2_firearms_2_debug_8c.html#a40adfc1e22a9b751658055847f9c4b83">wpnPrint</a>(<span class="stringliteral">&quot;[wpnfsm] &quot;</span> + <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a>.GetDebugName(<a class="code hl_variable" href="../../de/dc3/_guards_8c.html#ad0af4429be0c56056dbf78f31157a010">m_weapon</a>) + <span class="stringliteral">&quot; } Jammed J&quot;</span>); } }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../db/d5e/class_weapon_state_jammed.html#ab0336fbf679983e206e34c748edd1999">   52</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../db/d5e/class_weapon_state_jammed.html#ab0336fbf679983e206e34c748edd1999">GetCurrentStateID</a> () { <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d8/dc4/_rifle_single_shot___base_8c.html#ad5ddcde584a03138cf054e4db77e801d">RSSStableStateID</a>.Jammed; }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../db/d5e/class_weapon_state_jammed.html#ae1f82a4c353e18d2530069628733901f">   53</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d5e/class_weapon_state_jammed.html#ae1f82a4c353e18d2530069628733901f">HasBullet</a> () { <span class="keywordflow">return</span> <span class="keyword">true</span>; }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../db/d5e/class_weapon_state_jammed.html#a83a0da5281301d48cd3d28b90d85bd1c">   54</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d5e/class_weapon_state_jammed.html#a83a0da5281301d48cd3d28b90d85bd1c">HasMagazine</a> () { <span class="keywordflow">return</span> <span class="keyword">false</span>; }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../db/d5e/class_weapon_state_jammed.html#acb4e2416abe31ddfb997ce9f27b22898">   55</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d5e/class_weapon_state_jammed.html#acb4e2416abe31ddfb997ce9f27b22898">IsJammed</a> () { <span class="keywordflow">return</span> <span class="keyword">true</span>; }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../db/d5e/class_weapon_state_jammed.html#a333b28d57953811cce31eb78fc364842">   56</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d5e/class_weapon_state_jammed.html#a333b28d57953811cce31eb78fc364842">IsBoltOpen</a> () { <span class="keywordflow">return</span> <span class="keyword">true</span>; }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../db/d5e/class_weapon_state_jammed.html#a8c62932aaab8513c96101752772b60f1">   57</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d5e/class_weapon_state_jammed.html#a8c62932aaab8513c96101752772b60f1">IsRepairEnabled</a> () { <span class="keywordflow">return</span> <span class="keyword">true</span>; }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../db/d5e/class_weapon_state_jammed.html#a794a4a9f938620ff6f8b3cab6c22f2bc">   58</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d5e/class_weapon_state_jammed.html#a794a4a9f938620ff6f8b3cab6c22f2bc">InitMuzzleArray</a> () { <a class="code hl_variable" href="../../d8/d8f/_weapon_stable_state_8c.html#a99c0c3c305a37383f835abc512f2be3f">m_muzzleHasBullet</a> = {<a class="code hl_enumeration" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38">MuzzleState</a>.F}; }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>};</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span><span class="keyword">class </span><a class="code hl_class" href="../../d0/df2/class_rifle_single_shot___base.html">RifleSingleShot_Base</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d79/class_rifle___base.html">Rifle_Base</a></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>{</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../dd/d79/class_rifle___base.html#a3e66295c0f41caa2d42a4c4ebe0667b5">   67</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d79/class_rifle___base.html#a3e66295c0f41caa2d42a4c4ebe0667b5">RifleSingleShot_Base</a> ()</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../dd/d79/class_rifle___base.html#aeb2bb0ddaf25741d0036f1054a5d6505">   71</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d79/class_rifle___base.html#aeb2bb0ddaf25741d0036f1054a5d6505">InitStateMachine</a>()</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="comment">// setup abilities</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        m_abilities.Insert(<span class="keyword">new</span> <a class="code hl_class" href="../../d9/d74/class_ability_record.html">AbilityRecord</a>(<a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>.MECHANISM, WeaponActionMechanismTypes.MECHANISM_CLOSED));</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        m_abilities.Insert(<span class="keyword">new</span> <a class="code hl_class" href="../../d9/d74/class_ability_record.html">AbilityRecord</a>(<a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>.CHAMBERING, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a6a33c0b8bed2b0654c3a8b8edd8acc50">WeaponActionChamberingTypes</a>.CHAMBERING_ONEBULLET_CLOSED));</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        m_abilities.Insert(<span class="keyword">new</span> <a class="code hl_class" href="../../d9/d74/class_ability_record.html">AbilityRecord</a>(<a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>.UNJAMMING, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#ae97094a3f94e0a3a6088f6fc8516a651">WeaponActionUnjammingTypes</a>.UNJAMMING_START));</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        m_abilities.Insert(<span class="keyword">new</span> <a class="code hl_class" href="../../d9/d74/class_ability_record.html">AbilityRecord</a>(<a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>.UNJAMMING, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#ae97094a3f94e0a3a6088f6fc8516a651">WeaponActionUnjammingTypes</a>.UNJAMMING_END));</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        m_abilities.Insert(<span class="keyword">new</span> <a class="code hl_class" href="../../d9/d74/class_ability_record.html">AbilityRecord</a>(<a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>.FIRE, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#afb47cd06a4c376f519f3881f5ebeec9a">WeaponActionFireTypes</a>.FIRE_NORMAL));</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        m_abilities.Insert(<span class="keyword">new</span> <a class="code hl_class" href="../../d9/d74/class_ability_record.html">AbilityRecord</a>(<a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>.FIRE, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#afb47cd06a4c376f519f3881f5ebeec9a">WeaponActionFireTypes</a>.FIRE_COCKED));</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="comment">// setup state machine</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="comment">// basic weapon states</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <a class="code hl_class" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a> = <span class="keyword">new</span> RSSEmpty(<span class="keyword">this</span>, NULL, <a class="code hl_enumeration" href="../../d8/dc4/_rifle_single_shot___base_8c.html#a88a4ab5aaf0d3b627a1bfa244dfc551d">RSSAnimState</a>.DEFAULT);</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <a class="code hl_class" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38af382a63cc3d6491bf26b59e66f46826d">F</a> = <span class="keyword">new</span> RSSFireout(<span class="keyword">this</span>, NULL, <a class="code hl_enumeration" href="../../d8/dc4/_rifle_single_shot___base_8c.html#a88a4ab5aaf0d3b627a1bfa244dfc551d">RSSAnimState</a>.DEFAULT);</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <a class="code hl_class" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> J = <span class="keyword">new</span> RSSJammed(<span class="keyword">this</span>, NULL, <a class="code hl_enumeration" href="../../d8/dc4/_rifle_single_shot___base_8c.html#a88a4ab5aaf0d3b627a1bfa244dfc551d">RSSAnimState</a>.DEFAULT);</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <a class="code hl_class" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38aef31cc6fe9479955961311ee18ac205f">L</a> = <span class="keyword">new</span> RSSLoaded(<span class="keyword">this</span>, NULL, <a class="code hl_enumeration" href="../../d8/dc4/_rifle_single_shot___base_8c.html#a88a4ab5aaf0d3b627a1bfa244dfc551d">RSSAnimState</a>.DEFAULT);</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <span class="comment">// unstable (intermediate) states</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <a class="code hl_class" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> Mech_F = <span class="keyword">new</span> <a class="code hl_class" href="../../d0/deb/namespace_3global_scope_4.html#dc/df0/class_weapon_charging">WeaponCharging</a>(<span class="keyword">this</span>, NULL, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>.MECHANISM, WeaponActionMechanismTypes.MECHANISM_CLOSED);</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <a class="code hl_class" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> Mech_L = <span class="keyword">new</span> WeaponEjectBullet(<span class="keyword">this</span>, NULL, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>.MECHANISM, WeaponActionMechanismTypes.MECHANISM_CLOSED);</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        WeaponChambering Chamber_E = <span class="keyword">new</span> WeaponChambering(<span class="keyword">this</span>, NULL, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>.CHAMBERING, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a6a33c0b8bed2b0654c3a8b8edd8acc50">WeaponActionChamberingTypes</a>.CHAMBERING_ONEBULLET_CLOSED);</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        WeaponChambering Chamber_F = <span class="keyword">new</span> WeaponChambering(<span class="keyword">this</span>, NULL, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>.CHAMBERING, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a6a33c0b8bed2b0654c3a8b8edd8acc50">WeaponActionChamberingTypes</a>.CHAMBERING_ONEBULLET_CLOSED);</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="comment">//WeaponStateBase Chamber_L = new RifleReChambering(this, NULL, WeaponActions.CHAMBERING, WeaponActionChamberingTypes.CHAMBERING_ONEBULLET_CLOSED);</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <a class="code hl_class" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> Trigger_E = <span class="keyword">new</span> WeaponDryFire(<span class="keyword">this</span>, NULL, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>.FIRE, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#afb47cd06a4c376f519f3881f5ebeec9a">WeaponActionFireTypes</a>.FIRE_COCKED);</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <a class="code hl_class" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> Trigger_L = <span class="keyword">new</span> <a class="code hl_class" href="../../d5/db3/class_weapon_fire.html">WeaponFire</a>(<span class="keyword">this</span>, NULL, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>.FIRE, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#afb47cd06a4c376f519f3881f5ebeec9a">WeaponActionFireTypes</a>.FIRE_NORMAL);</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <a class="code hl_class" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> Trigger_F = <span class="keyword">new</span> WeaponDryFire(<span class="keyword">this</span>, NULL, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>.FIRE, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#afb47cd06a4c376f519f3881f5ebeec9a">WeaponActionFireTypes</a>.FIRE_COCKED);</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span> </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <a class="code hl_class" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> Trigger_LJ = <span class="keyword">new</span> WeaponFireToJam(<span class="keyword">this</span>, NULL, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>.FIRE, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#afb47cd06a4c376f519f3881f5ebeec9a">WeaponActionFireTypes</a>.FIRE_JAM);</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <a class="code hl_class" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> Unjam_J = <span class="keyword">new</span> <a class="code hl_class" href="../../d0/deb/namespace_3global_scope_4.html#d3/dd9/class_weapon_unjamming">WeaponUnjamming</a>(<span class="keyword">this</span>, NULL, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>.UNJAMMING, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#ae97094a3f94e0a3a6088f6fc8516a651">WeaponActionUnjammingTypes</a>.UNJAMMING_START);</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <span class="comment">// events</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <a class="code hl_class" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> __M__ = <span class="keyword">new</span> WeaponEventMechanism;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <a class="code hl_class" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> __T__ = <span class="keyword">new</span> WeaponEventTrigger;</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        <a class="code hl_class" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> __TJ_ = <span class="keyword">new</span> WeaponEventTriggerToJam;</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <a class="code hl_class" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> __L__ = <span class="keyword">new</span> WeaponEventLoad1Bullet;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <a class="code hl_class" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> __U__ = <span class="keyword">new</span> WeaponEventUnjam;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <a class="code hl_class" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> _fin_ = <span class="keyword">new</span> WeaponEventHumanCommandActionFinished;</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <a class="code hl_class" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> _abt_ = <span class="keyword">new</span> WeaponEventHumanCommandActionAborted;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <a class="code hl_class" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> _dto_ = <span class="keyword">new</span> WeaponEventDryFireTimeout;</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span> </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        m_fsm = <span class="keyword">new</span> <a class="code hl_class" href="../../d0/deb/namespace_3global_scope_4.html#dc/d73/class_weapon_f_s_m">WeaponFSM</a>();</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <span class="comment">// charging</span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>( <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a>,            __M__,  Mech_F));</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>( <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38af382a63cc3d6491bf26b59e66f46826d">F</a>,            __M__,  Mech_F));</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Mech_F,      _fin_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38af382a63cc3d6491bf26b59e66f46826d">F</a>, NULL, <span class="keyword">new</span> WeaponGuardCurrentChamberFiredOut(<span class="keyword">this</span>)));</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Mech_F,      _fin_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a>));</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Mech_F,      _abt_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38af382a63cc3d6491bf26b59e66f46826d">F</a>, NULL, <span class="keyword">new</span> WeaponGuardCurrentChamberFiredOut(<span class="keyword">this</span>)));</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Mech_F,      _abt_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a>));</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <span class="comment">// eject good cartridge</span></div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>( <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38aef31cc6fe9479955961311ee18ac205f">L</a>,            __M__,  Mech_L));</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Mech_L,      _fin_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a>, NULL, <span class="keyword">new</span> WeaponGuardCurrentChamberEmpty(<span class="keyword">this</span>)));</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Mech_L,      _fin_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38aef31cc6fe9479955961311ee18ac205f">L</a>));</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Mech_L,      _abt_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a>, NULL, <span class="keyword">new</span> WeaponGuardCurrentChamberEmpty(<span class="keyword">this</span>)));</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Mech_L,      _abt_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38aef31cc6fe9479955961311ee18ac205f">L</a>));</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span> </div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        <span class="comment">// load bullet</span></div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>( <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a>,            __L__,  Chamber_E));</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Chamber_E,   _fin_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a>, NULL, <span class="keyword">new</span> WeaponGuardCurrentChamberEmpty(<span class="keyword">this</span>)));</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Chamber_E,   _fin_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38aef31cc6fe9479955961311ee18ac205f">L</a>));</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            Chamber_E.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Chamber_E.m_start,   _abt_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a>));</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>            Chamber_E.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Chamber_E.m_eject,   _abt_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a>));</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            Chamber_E.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Chamber_E.m_chamber, _abt_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a>));</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            Chamber_E.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Chamber_E.m_w4t,     _abt_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38aef31cc6fe9479955961311ee18ac205f">L</a>));</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>( <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38af382a63cc3d6491bf26b59e66f46826d">F</a>,            __L__,  Chamber_F));</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Chamber_F,   _fin_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38af382a63cc3d6491bf26b59e66f46826d">F</a>, NULL, <span class="keyword">new</span> WeaponGuardCurrentChamberFiredOut(<span class="keyword">this</span>)));</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Chamber_F,   _fin_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a>, NULL, <span class="keyword">new</span> WeaponGuardCurrentChamberEmpty(<span class="keyword">this</span>)));</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Chamber_F,   _fin_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38aef31cc6fe9479955961311ee18ac205f">L</a>));</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>            Chamber_F.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Chamber_F.m_start,   _abt_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38af382a63cc3d6491bf26b59e66f46826d">F</a>));</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>            Chamber_F.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Chamber_F.m_eject,   _abt_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a>));</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>            Chamber_F.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Chamber_F.m_chamber, _abt_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a>));</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>            Chamber_F.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Chamber_F.m_w4t,     _abt_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38aef31cc6fe9479955961311ee18ac205f">L</a>));</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span> </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        <span class="comment">// fire</span></div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>( <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a>,            __T__,  Trigger_E)); <span class="comment">// fire cocked</span></div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Trigger_E,   _fin_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a>));</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Trigger_E,   _dto_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a>));</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Trigger_E,   _abt_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a>));</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>( <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38af382a63cc3d6491bf26b59e66f46826d">F</a>,            __T__,  Trigger_F)); <span class="comment">// fire uncocked</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Trigger_F,   _fin_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38af382a63cc3d6491bf26b59e66f46826d">F</a>));</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Trigger_F,   _dto_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38af382a63cc3d6491bf26b59e66f46826d">F</a>));</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Trigger_F,   _abt_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38af382a63cc3d6491bf26b59e66f46826d">F</a>));</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        </div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>( <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38aef31cc6fe9479955961311ee18ac205f">L</a>,            __T__,  Trigger_L)); <span class="comment">// a) fire if not jammed</span></div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Trigger_L,   _fin_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38af382a63cc3d6491bf26b59e66f46826d">F</a>));</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Trigger_L,   _abt_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38af382a63cc3d6491bf26b59e66f46826d">F</a>));</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>( <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38aef31cc6fe9479955961311ee18ac205f">L</a>,            __TJ_,  Trigger_LJ)); <span class="comment">// a) fire if not jammed</span></div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Trigger_LJ,  _fin_,  J));</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Trigger_LJ,  _abt_,  J));</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        </div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        <span class="comment">// unjam</span></div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>( J,            __U__,  Unjam_J));</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Unjam_J,     _fin_,  J, NULL, <span class="keyword">new</span> WeaponGuardJammed(<span class="keyword">this</span>)));</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        m_fsm.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a>(  Unjam_J,     _fin_,  <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a>));</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span> </div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        <span class="comment">// initial state setup</span></div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        <span class="keywordtype">bool</span> empty = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        <span class="keywordtype">bool</span> discharged = <span class="keyword">false</span>; <span class="comment">// @TODO:</span></div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        <a class="code hl_class" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> init_state = <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a>;</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        <span class="keywordflow">if</span> (empty)</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        {</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>            <span class="keywordflow">if</span> (!discharged)</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>                init_state = <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a>;</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>        }</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        {</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>            init_state = <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38aef31cc6fe9479955961311ee18ac205f">L</a>; <span class="comment">// can init state == load/jammed?</span></div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        }</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        m_fsm.SetInitialState(init_state);</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span> </div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        SelectionBulletHide();</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span> </div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        m_fsm.Start();</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>    }</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>    </div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno"><a class="line" href="../../dd/d79/class_rifle___base.html#a50bd541f9d29ae96321d89b4c77c7ea9">  191</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dd/d79/class_rifle___base.html#a50bd541f9d29ae96321d89b4c77c7ea9">GetChanceToJam</a>()</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>    {</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        <span class="keywordflow">return</span> 0.0;</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>    }</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>};</div>
<div class="ttc" id="a4___world_2_entities_2_firearms_2_debug_8c_html_a40adfc1e22a9b751658055847f9c4b83"><div class="ttname"><a href="../../dc/d1d/4___world_2_entities_2_firearms_2_debug_8c.html#a40adfc1e22a9b751658055847f9c4b83">wpnPrint</a></div><div class="ttdeci">void wpnPrint(string s)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d1d/4___world_2_entities_2_firearms_2_debug_8c_source.html#l00001">Debug.c:1</a></div></div>
<div class="ttc" id="a_guards_8c_html_ad0af4429be0c56056dbf78f31157a010"><div class="ttname"><a href="../../de/dc3/_guards_8c.html#ad0af4429be0c56056dbf78f31157a010">m_weapon</a></div><div class="ttdeci">class WeaponGuardIsDestroyed extends WeaponGuardBase m_weapon</div></div>
<div class="ttc" id="a_rifle_single_shot___base_8c_html_a6ce26a62afab55d7606ad4e92428b30c"><div class="ttname"><a href="../../d8/dc4/_rifle_single_shot___base_8c.html#a6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a></div><div class="ttdeci">UNKNOWN</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc4/_rifle_single_shot___base_8c_source.html#l00018">RifleSingleShot_Base.c:18</a></div></div>
<div class="ttc" id="a_rifle_single_shot___base_8c_html_a88a4ab5aaf0d3b627a1bfa244dfc551d"><div class="ttname"><a href="../../d8/dc4/_rifle_single_shot___base_8c.html#a88a4ab5aaf0d3b627a1bfa244dfc551d">RSSAnimState</a></div><div class="ttdeci">RSSAnimState</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc4/_rifle_single_shot___base_8c_source.html#l00001">RifleSingleShot_Base.c:2</a></div></div>
<div class="ttc" id="a_rifle_single_shot___base_8c_html_a88a4ab5aaf0d3b627a1bfa244dfc551da88ec7d5086d2469ba843c7fcceade8a6"><div class="ttname"><a href="../../d8/dc4/_rifle_single_shot___base_8c.html#a88a4ab5aaf0d3b627a1bfa244dfc551da88ec7d5086d2469ba843c7fcceade8a6">DEFAULT</a></div><div class="ttdeci">@ DEFAULT</div><div class="ttdoc">default weapon state, closed and discharged</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc4/_rifle_single_shot___base_8c_source.html#l00003">RifleSingleShot_Base.c:3</a></div></div>
<div class="ttc" id="a_rifle_single_shot___base_8c_html_a891fbec6fb0d74aea9e064d13b59c9e0"><div class="ttname"><a href="../../d8/dc4/_rifle_single_shot___base_8c.html#a891fbec6fb0d74aea9e064d13b59c9e0">Empty</a></div><div class="ttdeci">Empty</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc4/_rifle_single_shot___base_8c_source.html#l00019">RifleSingleShot_Base.c:19</a></div></div>
<div class="ttc" id="a_rifle_single_shot___base_8c_html_a992cc98ec5532dbef907470ed75a064f"><div class="ttname"><a href="../../d8/dc4/_rifle_single_shot___base_8c.html#a992cc98ec5532dbef907470ed75a064f">Fireout</a></div><div class="ttdeci">Fireout</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc4/_rifle_single_shot___base_8c_source.html#l00020">RifleSingleShot_Base.c:20</a></div></div>
<div class="ttc" id="a_rifle_single_shot___base_8c_html_ad5ddcde584a03138cf054e4db77e801d"><div class="ttname"><a href="../../d8/dc4/_rifle_single_shot___base_8c.html#ad5ddcde584a03138cf054e4db77e801d">RSSStableStateID</a></div><div class="ttdeci">RSSStableStateID</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc4/_rifle_single_shot___base_8c_source.html#l00006">RifleSingleShot_Base.c:7</a></div></div>
<div class="ttc" id="a_rifle_single_shot___base_8c_html_afae9218a8bc790c8851b8a6e6cada69b"><div class="ttname"><a href="../../d8/dc4/_rifle_single_shot___base_8c.html#afae9218a8bc790c8851b8a6e6cada69b">Loaded</a></div><div class="ttdeci">Loaded</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc4/_rifle_single_shot___base_8c_source.html#l00021">RifleSingleShot_Base.c:21</a></div></div>
<div class="ttc" id="a_rifle_single_shot___base_8c_html_afaf79e728091911ce906c93dc4ab3535"><div class="ttname"><a href="../../d8/dc4/_rifle_single_shot___base_8c.html#afaf79e728091911ce906c93dc4ab3535">Jammed</a></div><div class="ttdeci">Jammed</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc4/_rifle_single_shot___base_8c_source.html#l00022">RifleSingleShot_Base.c:22</a></div></div>
<div class="ttc" id="a_single_shot_pistol___base_8c_html_a3ed70c6f00023473563b38dd40750479"><div class="ttname"><a href="../../d2/db3/_single_shot_pistol___base_8c.html#a3ed70c6f00023473563b38dd40750479">OnEntry</a></div><div class="ttdeci">class SSPFireout extends WeaponStableState OnEntry</div></div>
<div class="ttc" id="a_weapon___base_8c_html_aad9c748f817f5536f4f2bfd213b4afc1"><div class="ttname"><a href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a></div><div class="ttdeci">enum FSMTransition WeaponTransition</div></div>
<div class="ttc" id="a_weapon_stable_state_8c_html_a81850a19579d69fbd62d39a8f08a5f38"><div class="ttname"><a href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38">MuzzleState</a></div><div class="ttdeci">MuzzleState</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8f/_weapon_stable_state_8c_source.html#l00014">WeaponStableState.c:15</a></div></div>
<div class="ttc" id="a_weapon_stable_state_8c_html_a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb"><div class="ttname"><a href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a></div><div class="ttdeci">@ E</div><div class="ttdoc">EMPTY.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8f/_weapon_stable_state_8c_source.html#l00019">WeaponStableState.c:19</a></div></div>
<div class="ttc" id="a_weapon_stable_state_8c_html_a81850a19579d69fbd62d39a8f08a5f38aef31cc6fe9479955961311ee18ac205f"><div class="ttname"><a href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38aef31cc6fe9479955961311ee18ac205f">L</a></div><div class="ttdeci">@ L</div><div class="ttdoc">LOADED.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8f/_weapon_stable_state_8c_source.html#l00024">WeaponStableState.c:23</a></div></div>
<div class="ttc" id="a_weapon_stable_state_8c_html_a81850a19579d69fbd62d39a8f08a5f38af382a63cc3d6491bf26b59e66f46826d"><div class="ttname"><a href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38af382a63cc3d6491bf26b59e66f46826d">F</a></div><div class="ttdeci">@ F</div><div class="ttdoc">FIRED.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8f/_weapon_stable_state_8c_source.html#l00021">WeaponStableState.c:21</a></div></div>
<div class="ttc" id="a_weapon_stable_state_8c_html_a99c0c3c305a37383f835abc512f2be3f"><div class="ttname"><a href="../../d8/d8f/_weapon_stable_state_8c.html#a99c0c3c305a37383f835abc512f2be3f">m_muzzleHasBullet</a></div><div class="ttdeci">ref array&lt; MuzzleState &gt; m_muzzleHasBullet</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8f/_weapon_stable_state_8c_source.html#l00030">WeaponStableState.c:30</a></div></div>
<div class="ttc" id="aclass_ability_record_html"><div class="ttname"><a href="../../d9/d74/class_ability_record.html">AbilityRecord</a></div><div class="ttdoc">pair ( action, actionType )</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df2/_weapon___base_8c_source.html#l00004">Weapon_Base.c:5</a></div></div>
<div class="ttc" id="aclass_log_manager_html"><div class="ttname"><a href="../../d9/df7/class_log_manager.html">LogManager</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00542">Debug.c:543</a></div></div>
<div class="ttc" id="aclass_log_manager_html_a1936dba0ee4da1a581859d6603178326"><div class="ttname"><a href="../../d9/df7/class_log_manager.html#a1936dba0ee4da1a581859d6603178326">LogManager::IsWeaponLogEnable</a></div><div class="ttdeci">static bool IsWeaponLogEnable()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00628">Debug.c:628</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_rifle___base_html"><div class="ttname"><a href="../../dd/d79/class_rifle___base.html">Rifle_Base</a></div><div class="ttdoc">base for rifles @NOTE name copies config base class</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/daa/_s_k_s_8c_source.html#l00069">SKS.c:70</a></div></div>
<div class="ttc" id="aclass_rifle___base_html_a3e66295c0f41caa2d42a4c4ebe0667b5"><div class="ttname"><a href="../../dd/d79/class_rifle___base.html#a3e66295c0f41caa2d42a4c4ebe0667b5">Rifle_Base::RifleSingleShot_Base</a></div><div class="ttdeci">void RifleSingleShot_Base()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc4/_rifle_single_shot___base_8c_source.html#l00067">RifleSingleShot_Base.c:67</a></div></div>
<div class="ttc" id="aclass_rifle___base_html_a50bd541f9d29ae96321d89b4c77c7ea9"><div class="ttname"><a href="../../dd/d79/class_rifle___base.html#a50bd541f9d29ae96321d89b4c77c7ea9">Rifle_Base::GetChanceToJam</a></div><div class="ttdeci">override float GetChanceToJam()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc4/_rifle_single_shot___base_8c_source.html#l00191">RifleSingleShot_Base.c:191</a></div></div>
<div class="ttc" id="aclass_rifle___base_html_aeb2bb0ddaf25741d0036f1054a5d6505"><div class="ttname"><a href="../../dd/d79/class_rifle___base.html#aeb2bb0ddaf25741d0036f1054a5d6505">Rifle_Base::InitStateMachine</a></div><div class="ttdeci">override void InitStateMachine()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc4/_rifle_single_shot___base_8c_source.html#l00071">RifleSingleShot_Base.c:71</a></div></div>
<div class="ttc" id="aclass_rifle_single_shot___base_html"><div class="ttname"><a href="../../d0/df2/class_rifle_single_shot___base.html">RifleSingleShot_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d57/_izh18_8c_source.html#l00005">Izh18.c:6</a></div></div>
<div class="ttc" id="aclass_weapon_event_base_html"><div class="ttname"><a href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a></div><div class="ttdoc">signalize mechanism manipulation</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dea/_events_8c_source.html#l00034">Events.c:35</a></div></div>
<div class="ttc" id="aclass_weapon_fire_html"><div class="ttname"><a href="../../d5/db3/class_weapon_fire.html">WeaponFire</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d6b/_weapon_fire_8c_source.html#l00098">WeaponFire.c:99</a></div></div>
<div class="ttc" id="aclass_weapon_stable_state_html"><div class="ttname"><a href="../../dc/dcc/class_weapon_stable_state.html">WeaponStableState</a></div><div class="ttdoc">represents weapon's stable state (i.e. the basic states that the weapon will spend the most time in)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/daa/_s_k_s_8c_source.html#l00029">SKS.c:30</a></div></div>
<div class="ttc" id="aclass_weapon_stable_state_html_a17fafa12bb56d472c515b8dc2a1669a8"><div class="ttname"><a href="../../dc/dcc/class_weapon_stable_state.html#a17fafa12bb56d472c515b8dc2a1669a8">WeaponStableState::IsJammed</a></div><div class="ttdeci">override bool IsJammed()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/daa/_s_k_s_8c_source.html#l00036">SKS.c:36</a></div></div>
<div class="ttc" id="aclass_weapon_stable_state_html_a2b24124714481d5944daedea764ef07a"><div class="ttname"><a href="../../dc/dcc/class_weapon_stable_state.html#a2b24124714481d5944daedea764ef07a">WeaponStableState::OnExit</a></div><div class="ttdeci">override void OnExit(WeaponEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/daa/_s_k_s_8c_source.html#l00032">SKS.c:32</a></div></div>
<div class="ttc" id="aclass_weapon_stable_state_html_a3ec895a8ef12f28fbb3e1acb39c82369"><div class="ttname"><a href="../../dc/dcc/class_weapon_stable_state.html#a3ec895a8ef12f28fbb3e1acb39c82369">WeaponStableState::InitMuzzleArray</a></div><div class="ttdeci">override void InitMuzzleArray()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/daa/_s_k_s_8c_source.html#l00038">SKS.c:38</a></div></div>
<div class="ttc" id="aclass_weapon_stable_state_html_a4317e82e93379b1e0cdcb1112796367d"><div class="ttname"><a href="../../dc/dcc/class_weapon_stable_state.html#a4317e82e93379b1e0cdcb1112796367d">WeaponStableState::OnEntry</a></div><div class="ttdeci">override void OnEntry(WeaponEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc4/_rifle_single_shot___base_8c_source.html#l00028">RifleSingleShot_Base.c:28</a></div></div>
<div class="ttc" id="aclass_weapon_stable_state_html_a4b66543cd3ec146ccb5bdf7da9b82be2"><div class="ttname"><a href="../../dc/dcc/class_weapon_stable_state.html#a4b66543cd3ec146ccb5bdf7da9b82be2">WeaponStableState::HasBullet</a></div><div class="ttdeci">override bool HasBullet()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/daa/_s_k_s_8c_source.html#l00034">SKS.c:34</a></div></div>
<div class="ttc" id="aclass_weapon_stable_state_html_a71d886cf9e101812137133a25a5efc5d"><div class="ttname"><a href="../../dc/dcc/class_weapon_stable_state.html#a71d886cf9e101812137133a25a5efc5d">WeaponStableState::GetCurrentStateID</a></div><div class="ttdeci">override int GetCurrentStateID()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/daa/_s_k_s_8c_source.html#l00033">SKS.c:33</a></div></div>
<div class="ttc" id="aclass_weapon_stable_state_html_ac25b31cf36d1dadc8120054f1eb43e5e"><div class="ttname"><a href="../../dc/dcc/class_weapon_stable_state.html#ac25b31cf36d1dadc8120054f1eb43e5e">WeaponStableState::IsRepairEnabled</a></div><div class="ttdeci">override bool IsRepairEnabled()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/daa/_s_k_s_8c_source.html#l00037">SKS.c:37</a></div></div>
<div class="ttc" id="aclass_weapon_stable_state_html_ae6fd560194ec4459eb3731047b22d510"><div class="ttname"><a href="../../dc/dcc/class_weapon_stable_state.html#ae6fd560194ec4459eb3731047b22d510">WeaponStableState::HasMagazine</a></div><div class="ttdeci">override bool HasMagazine()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/daa/_s_k_s_8c_source.html#l00035">SKS.c:35</a></div></div>
<div class="ttc" id="aclass_weapon_state_base_html"><div class="ttname"><a href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a></div><div class="ttdoc">represent weapon state base</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da2/_bullet_hide_8c_source.html#l00001">BulletHide.c:2</a></div></div>
<div class="ttc" id="aclass_weapon_state_jammed_html"><div class="ttname"><a href="../../db/d5e/class_weapon_state_jammed.html">WeaponStateJammed</a></div><div class="ttdoc">handle jamming state set jam/unjam state for weapon</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/daa/_s_k_s_8c_source.html#l00052">SKS.c:53</a></div></div>
<div class="ttc" id="aclass_weapon_state_jammed_html_a333b28d57953811cce31eb78fc364842"><div class="ttname"><a href="../../db/d5e/class_weapon_state_jammed.html#a333b28d57953811cce31eb78fc364842">WeaponStateJammed::IsBoltOpen</a></div><div class="ttdeci">override bool IsBoltOpen()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc4/_rifle_single_shot___base_8c_source.html#l00056">RifleSingleShot_Base.c:56</a></div></div>
<div class="ttc" id="aclass_weapon_state_jammed_html_a794a4a9f938620ff6f8b3cab6c22f2bc"><div class="ttname"><a href="../../db/d5e/class_weapon_state_jammed.html#a794a4a9f938620ff6f8b3cab6c22f2bc">WeaponStateJammed::InitMuzzleArray</a></div><div class="ttdeci">override void InitMuzzleArray()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc4/_rifle_single_shot___base_8c_source.html#l00058">RifleSingleShot_Base.c:58</a></div></div>
<div class="ttc" id="aclass_weapon_state_jammed_html_a83a0da5281301d48cd3d28b90d85bd1c"><div class="ttname"><a href="../../db/d5e/class_weapon_state_jammed.html#a83a0da5281301d48cd3d28b90d85bd1c">WeaponStateJammed::HasMagazine</a></div><div class="ttdeci">override bool HasMagazine()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc4/_rifle_single_shot___base_8c_source.html#l00054">RifleSingleShot_Base.c:54</a></div></div>
<div class="ttc" id="aclass_weapon_state_jammed_html_a8c62932aaab8513c96101752772b60f1"><div class="ttname"><a href="../../db/d5e/class_weapon_state_jammed.html#a8c62932aaab8513c96101752772b60f1">WeaponStateJammed::IsRepairEnabled</a></div><div class="ttdeci">override bool IsRepairEnabled()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc4/_rifle_single_shot___base_8c_source.html#l00057">RifleSingleShot_Base.c:57</a></div></div>
<div class="ttc" id="aclass_weapon_state_jammed_html_a9a3f5cdc75b038a814c68ad6583a2131"><div class="ttname"><a href="../../db/d5e/class_weapon_state_jammed.html#a9a3f5cdc75b038a814c68ad6583a2131">WeaponStateJammed::OnEntry</a></div><div class="ttdeci">override void OnEntry(WeaponEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc4/_rifle_single_shot___base_8c_source.html#l00050">RifleSingleShot_Base.c:50</a></div></div>
<div class="ttc" id="aclass_weapon_state_jammed_html_ab0336fbf679983e206e34c748edd1999"><div class="ttname"><a href="../../db/d5e/class_weapon_state_jammed.html#ab0336fbf679983e206e34c748edd1999">WeaponStateJammed::GetCurrentStateID</a></div><div class="ttdeci">override int GetCurrentStateID()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc4/_rifle_single_shot___base_8c_source.html#l00052">RifleSingleShot_Base.c:52</a></div></div>
<div class="ttc" id="aclass_weapon_state_jammed_html_acb4e2416abe31ddfb997ce9f27b22898"><div class="ttname"><a href="../../db/d5e/class_weapon_state_jammed.html#acb4e2416abe31ddfb997ce9f27b22898">WeaponStateJammed::IsJammed</a></div><div class="ttdeci">override bool IsJammed()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc4/_rifle_single_shot___base_8c_source.html#l00055">RifleSingleShot_Base.c:55</a></div></div>
<div class="ttc" id="aclass_weapon_state_jammed_html_ae1f82a4c353e18d2530069628733901f"><div class="ttname"><a href="../../db/d5e/class_weapon_state_jammed.html#ae1f82a4c353e18d2530069628733901f">WeaponStateJammed::HasBullet</a></div><div class="ttdeci">override bool HasBullet()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc4/_rifle_single_shot___base_8c_source.html#l00053">RifleSingleShot_Base.c:53</a></div></div>
<div class="ttc" id="aclass_weapon_state_jammed_html_afb77a172473afa2a36732d0b2e8ebb7d"><div class="ttname"><a href="../../db/d5e/class_weapon_state_jammed.html#afb77a172473afa2a36732d0b2e8ebb7d">WeaponStateJammed::OnExit</a></div><div class="ttdeci">override void OnExit(WeaponEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc4/_rifle_single_shot___base_8c_source.html#l00051">RifleSingleShot_Base.c:51</a></div></div>
<div class="ttc" id="ahuman_8c_html_a6a33c0b8bed2b0654c3a8b8edd8acc50"><div class="ttname"><a href="../../d4/d9e/human_8c.html#a6a33c0b8bed2b0654c3a8b8edd8acc50">WeaponActionChamberingTypes</a></div><div class="ttdeci">WeaponActionChamberingTypes</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00822">human.c:823</a></div></div>
<div class="ttc" id="ahuman_8c_html_a70aa34d22d03160ea5e3d5248cd37093"><div class="ttname"><a href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a></div><div class="ttdeci">WeaponActions</div><div class="ttdoc">actions</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00762">human.c:763</a></div></div>
<div class="ttc" id="ahuman_8c_html_ae97094a3f94e0a3a6088f6fc8516a651"><div class="ttname"><a href="../../d4/d9e/human_8c.html#ae97094a3f94e0a3a6088f6fc8516a651">WeaponActionUnjammingTypes</a></div><div class="ttdeci">WeaponActionUnjammingTypes</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00858">human.c:859</a></div></div>
<div class="ttc" id="ahuman_8c_html_afb47cd06a4c376f519f3881f5ebeec9a"><div class="ttname"><a href="../../d4/d9e/human_8c.html#afb47cd06a4c376f519f3881f5ebeec9a">WeaponActionFireTypes</a></div><div class="ttdeci">WeaponActionFireTypes</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00866">human.c:867</a></div></div>
<div class="ttc" id="anamespace_3global_scope_4_html_d3/dd9/class_weapon_unjamming"><div class="ttname"><a href="../../d0/deb/namespace_3global_scope_4.html#d3/dd9/class_weapon_unjamming">WeaponUnjamming</a></div><div class="ttdoc">unjam submachine</div></div>
<div class="ttc" id="anamespace_3global_scope_4_html_dc/d73/class_weapon_f_s_m"><div class="ttname"><a href="../../d0/deb/namespace_3global_scope_4.html#dc/d73/class_weapon_f_s_m">WeaponFSM</a></div><div class="ttdoc">weapon finite state machine</div></div>
<div class="ttc" id="anamespace_3global_scope_4_html_dc/df0/class_weapon_charging"><div class="ttname"><a href="../../d0/deb/namespace_3global_scope_4.html#dc/df0/class_weapon_charging">WeaponCharging</a></div><div class="ttdoc">charging of weapon without ammo to be chambered</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_76b70e186f3f0441d93c60d5e78b0414.html">Firearms</a></li><li class="navelem"><a class="el" href="../../d8/dc4/_rifle_single_shot___base_8c.html">RifleSingleShot_Base.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
